package com.zcloud.basic.info.domain.model;

import com.alibaba.cola.domain.Entity;
import com.jjb.saas.framework.domain.model.BaseE;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * web-domain
 *
 * @Author zhaokai
 * @Date 2025-10-30 10:10:48
 */
@Data
@Entity
@EqualsAndHashCode(callSuper = true)
public class FacadeDepartmentE extends BaseE {

    //外部对象ID
    private Long linkId;
    //父级ID
    private  Long parentId;

    //外部对象名称
    private  String linkName;

    //区域父子级编码(逗号隔开)
    private String regionCode;

    //区域名称
    private String regionCodeName;


    public static FacadeDepartmentE initUpdate(DepartmentE departmentE) {
        FacadeDepartmentE deptE = new FacadeDepartmentE();
        deptE.setLinkId(departmentE.getId());
        deptE.setLinkName(departmentE.getName());
        deptE.setParentId(departmentE.getParentId());
        return deptE;
    }
}

